(function ($) {
    'use strict';

    function handleWindow() {
        var body = document.querySelector('body');

        if (window.innerWidth > body.clientWidth + 5) {
            body.classList.add('has-scrollbar');
            body.setAttribute('style', '--scroll-bar: ' + (window.innerWidth - body.clientWidth) + 'px');
        } else {
            body.classList.remove('has-scrollbar');
        }
    }

    function navigation() {
        var $button = $('.site-navigation .menu-toggle'),
            $menu = $('.site-navigation');
        $button.on('click', function () {
            $menu.toggleClass('toggled');
        });

        if ($menu.length > 0) {
            $menu.find('.menu-item-has-children > a, .page_item_has_children > a').each((index, element) => {
                var $dropdown = $('<button class="dropdown-toggle"></button>');
                $dropdown.insertAfter(element);

            });
            $(document).on('click', '.site-navigation .dropdown-toggle', function (e) {
                e.preventDefault();
                $(e.target).toggleClass('toggled-on');
                $(e.target).siblings('ul').stop().toggleClass('show');
            });
        }

    }

    function minHeight() {
        var bodyHeight = $(window).outerHeight(),
            headerHeight = $('header.site-header').outerHeight(true),
            footerHeight = $('footer.site-footer').outerHeight(true),
            siteMain = $('.site-main').outerHeight(true);

        if (bodyHeight > (headerHeight + footerHeight + siteMain)) {

            $('.site-main').css({
                'min-height': bodyHeight - headerHeight - footerHeight
            });
        }
    }

    function search_popup() {

        var $button_search = $('.button-search-popup');
        var $drop_down = $('.site-search-popup-wrap');
        $button_search.on('click', function (e) {
            e.preventDefault();
            $('html').toggleClass('search-popup-active');
        });

        $('.site-search-popup-close').on('click', function (e) {
            e.preventDefault();
            $('html').removeClass('search-popup-active');
        });

        $(document).mouseup(function (e) {
            if (!$drop_down.is(e.target) && $drop_down.has(e.target).length == 0) {
                $('html').removeClass('search-popup-active');
            }
        });
    }

    function side_collapse() {
        $('body').on('click', '[data-toggle="button-side"]', function (e) {
            e.preventDefault();
            e.stopPropagation();
            var $target = $(this).data('target');
            $($target).toggleClass('active');

        }).on('click', '.side-overlay', function (e) {
            e.preventDefault();
            var $target = $(this).siblings('.side-wrap');
            $target.removeClass('active');
        }).on('click', '.close-side', function (e) {
            e.preventDefault();
            var $target = $(this).closest('.side-wrap');
            $target.removeClass('active');
        });

    }

    function account_side() {
        var $account_side = $('body .site-header-account .my-account-icon');
        var $account_active = $('body .site-header-account .account-dropdown');
        $(document).mouseup(function (e) {
            if ($account_side.has(e.target).length == 0 && !$account_active.is(e.target) && $account_active.has(e.target).length == 0) {
                $account_active.removeClass('active');
            }
        });

        $account_side.on('click', function (e) {
            e.preventDefault();
            e.stopPropagation();
            var $target = $(this).siblings('.account-dropdown');
            $target.toggleClass('active');
        });
    }

    function setPositionLvN($item) {
        var sub = $item.children('.sub-menu'),
            offset = $item.offset(),
            width = $item.outerWidth(),
            screen_width = $(window).width(),
            sub_width = sub.outerWidth();
        var align_delta = offset.left + width + sub_width - screen_width;
        if (align_delta > 0) {
            if ($item.parents('.menu-item-has-children').length) {
                sub.css({ left: 'auto', right: '100%' });
            }else {
                sub.css({ left: 'auto', right: '0' });
            }
        } else {
            sub.css({ left: '', right: '' });
        }
    }

    function initSubmenuHover() {
        $('.site-header .primary-navigation .menu-item-has-children').hover(function (event) {
            var $item = $(event.currentTarget);
            setPositionLvN($item);
        });
    }
    initSubmenuHover();

    // minHeight();
    handleWindow();
    navigation();
    account_side();
    side_collapse();
    $(document).ready(function () {
        search_popup();
    });
})(jQuery);
